function A = MakeAoutofC(Cv)
% This function calculates the matrix A in the linearized form of Lyapunov
% equation. The only input is covariance matrix of the data.

n = length(Cv);
A1 = zeros(n*n,n*n); 
b = 1:n:n*n+1;
j = 1;
k = 1;
    for i = 1:n*n
        k = mod(i,n);
        if k == 0;  k = n;   end
        A1(i,b(j):b(j+1)-1) = Cv(:,k)';
    
        if mod(i,n) == 0;  j = j + 1;    end
    end 

A2 = zeros(n*n,n*n); 
b = 1:n:n*n+1;
j = 1;
k = 1;
    for i = 1:n*n
        if mod(i,n) == 1;  j = 1;    end  
        A2(i,b(j):b(j+1)-1) = Cv(k,:)';
    
          j = j + 1;
         if mod(i,n) == 0; k = k+1; end
    end % strange coding but looks OK

A = A1 + A2;